GDCM: gdcm::Pixmap Class Reference

GDCM 3.2.8

Public Member Functions | Protected Attributes | List of all members
gdcm::Pixmap Class Reference

Pixmap class. More...

`#include <gdcmPixmap.h>`

Inheritance diagram for gdcm::Pixmap:
[legend]
Collaboration diagram for gdcm::Pixmap:
[legend]

## Public Member Functions
| Pixmap ()
| ~Pixmap () override
bool | AreOverlaysInPixelData () const override
| returns if Overlays are stored in the unused bit of the pixel data:
Curve & | GetCurve (size_t i=0)
| Curve: group 50xx.
const Curve & | GetCurve (size_t i=0) const
IconImage & | GetIconImage ()
const IconImage & | GetIconImage () const
| Set/Get Icon Image.
size_t | GetNumberOfCurves () const
size_t | GetNumberOfOverlays () const
Overlay & | GetOverlay (size_t i=0)
| Overlay: group 60xx.
const Overlay & | GetOverlay (size_t i=0) const
void | Print (std::ostream &) const override
void | RemoveOverlay (size_t i)
void | SetIconImage (IconImage const &ii)
void | SetNumberOfCurves (size_t n)
void | SetNumberOfOverlays (size_t n)
bool | UnusedBitsPresentInPixelData () const override
| returns if there are unused bits in the pixel data
Public Member Functions inherited from gdcm::Bitmap
| Bitmap ()
| ~Bitmap () override
void | Clear ()
bool | GetBuffer (char *buffer) const
| Access the raw data.
unsigned long | GetBufferLength () const
unsigned int | GetColumns () const
DataElement & | GetDataElement ()
const DataElement & | GetDataElement () const
unsigned int | GetDimension (unsigned int idx) const
const unsigned int * | GetDimensions () const
| Return the dimension of the pixel data, first dimension (x), then 2nd (y), then 3rd (z)...
LookupTable & | GetLUT ()
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
| INTERNAL do not use.
unsigned int | GetNumberOfDimensions () const
| Return the number of dimension of the pixel data bytes; for example 2 for a 2D matrices of values.
const PhotometricInterpretation & | GetPhotometricInterpretation () const
| return the photometric interpretation
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
| Get/Set PixelFormat.
unsigned int | GetPlanarConfiguration () const
| return the planar configuration
unsigned int | GetRows () const
const TransferSyntax & | GetTransferSyntax () const
bool | IsEmpty () const
bool | IsLossy () const
| Return whether or not the image was compressed using a lossy compressor or not.
bool | IsTransferSyntaxCompatible (TransferSyntax const &ts) const
void | SetColumns (unsigned int col)
void | SetDataElement (DataElement const &de)
void | SetDimension (unsigned int idx, unsigned int dim)
void | SetDimensions (const unsigned int dims[3])
void | SetLossyFlag (bool f)
| Specifically set that the image was compressed using a lossy compression mechanism.
void | SetLUT (LookupTable const &lut)
| Set/Get LUT.
void | SetNeedByteSwap (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)
void | SetRows (unsigned int rows)
void | SetTransferSyntax (TransferSyntax const &ts)
| Transfer syntax.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Protected Attributes
std::vector< Curve > | Curves
SmartPointer< IconImage > | Icon
std::vector< Overlay > | Overlays
Protected Attributes inherited from gdcm::Bitmap
std::vector< unsigned int > | Dimensions
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
DataElement | PixelData
unsigned int | PlanarConfiguration
TransferSyntax | TS

## Additional Inherited Members
Protected Types inherited from gdcm::Bitmap
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::Bitmap
bool | ComputeLossyFlag ()
bool | GetBuffer2 (std::ostream &os) const
bool | TryJPEG2000Codec (char *buffer, bool &lossyflag) const
bool | TryJPEG2000Codec2 (std::ostream &os) const
bool | TryJPEGCodec (char *buffer, bool &lossyflag) const
bool | TryJPEGCodec2 (std::ostream &os) const
bool | TryJPEGLSCodec (char *buffer, bool &lossyflag) const
bool | TryKAKADUCodec (char *buffer, bool &lossyflag) const
bool | TryPVRGCodec (char *buffer, bool &lossyflag) const
bool | TryRAWCodec (char *buffer, bool &lossyflag) const
bool | TryRLECodec (char *buffer, bool &lossyflag) const
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Pixmap class.

A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP)

See also
  PixmapReader

Examples
  FileChangeTS.cs, FileChangeTSLossy.cs, and StandardizeFiles.cs.

## Constructor & Destructor Documentation

## ◆ Pixmap()

gdcm::Pixmap::Pixmap | ( |  | ) |

## ◆ ~Pixmap()

gdcm::Pixmap::~Pixmap | ( |  | ) |
| override

## Member Function Documentation

## ◆ AreOverlaysInPixelData()

bool gdcm::Pixmap::AreOverlaysInPixelData | ( |  | ) | const
| overridevirtual

returns if Overlays are stored in the unused bit of the pixel data:

Reimplemented from gdcm::Bitmap.

## ◆ GetCurve() [1/2]

Curve & gdcm::Pixmap::GetCurve | ( | size_t | i = 0 | ) |
| inline

Curve: group 50xx.

References Curves, and gdcm_assert.

## ◆ GetCurve() [2/2]

const Curve & gdcm::Pixmap::GetCurve | ( | size_t | i = 0 | ) | const
| inline

References Curves, and gdcm_assert.

## ◆ GetIconImage() [1/2]

IconImage & gdcm::Pixmap::GetIconImage | ( |  | ) |
| inline

References Icon.

## ◆ GetIconImage() [2/2]

const IconImage & gdcm::Pixmap::GetIconImage | ( |  | ) | const
| inline

Set/Get Icon Image.

References Icon.

## ◆ GetNumberOfCurves()

size_t gdcm::Pixmap::GetNumberOfCurves | ( |  | ) | const
| inline

References Curves.

## ◆ GetNumberOfOverlays()

size_t gdcm::Pixmap::GetNumberOfOverlays | ( |  | ) | const
| inline

References Overlays.

## ◆ GetOverlay() [1/2]

Overlay & gdcm::Pixmap::GetOverlay | ( | size_t | i = 0 | ) |
| inline

Overlay: group 60xx.

References gdcm_assert, and Overlays.

## ◆ GetOverlay() [2/2]

const Overlay & gdcm::Pixmap::GetOverlay | ( | size_t | i = 0 | ) | const
| inline

References gdcm_assert, and Overlays.

## ◆ Print()

void gdcm::Pixmap::Print | ( | std::ostream & |  | ) | const
| overridevirtual

Reimplemented from gdcm::Bitmap.

## ◆ RemoveOverlay()

void gdcm::Pixmap::RemoveOverlay | ( | size_t | i | ) |
| inline

References gdcm_assert, and Overlays.

## ◆ SetIconImage()

void gdcm::Pixmap::SetIconImage | ( | IconImage const & | ii | ) |
| inline

References Icon.

## ◆ SetNumberOfCurves()

void gdcm::Pixmap::SetNumberOfCurves | ( | size_t | n | ) |
| inline

References Curves.

## ◆ SetNumberOfOverlays()

void gdcm::Pixmap::SetNumberOfOverlays | ( | size_t | n | ) |
| inline

References Overlays.

## ◆ UnusedBitsPresentInPixelData()

bool gdcm::Pixmap::UnusedBitsPresentInPixelData | ( |  | ) | const
| overridevirtual

returns if there are unused bits in the pixel data

Reimplemented from gdcm::Bitmap.

## Member Data Documentation

## ◆ Curves

std::vector<Curve> gdcm::Pixmap::Curves
| protected

Referenced by GetCurve(), GetCurve(), GetNumberOfCurves(), and SetNumberOfCurves().

## ◆ Icon

SmartPointer<IconImage> gdcm::Pixmap::Icon
| protected

Referenced by GetIconImage(), GetIconImage(), and SetIconImage().

## ◆ Overlays

std::vector<Overlay> gdcm::Pixmap::Overlays
| protected

Referenced by GetNumberOfOverlays(), GetOverlay(), GetOverlay(), RemoveOverlay(), and SetNumberOfOverlays().

The documentation for this class was generated from the following file:

- gdcmPixmap.h